import { FC } from 'react';
import { OptionsType, OptionTypeBase } from 'react-select';
export declare type SkillsOptionType = OptionTypeBase & {
    value: string;
    label: string;
};
declare type Props = {
    title?: string;
    description?: string;
    selectedSkills: OptionsType<SkillsOptionType>;
};
declare type PropsInput = {
    availableSkills: OptionsType<SkillsOptionType>;
    onChange: (v: OptionsType<SkillsOptionType>) => void;
    placeholder?: string;
    isCaseSensitive?: boolean;
    input: true;
    length?: never;
} & Props;
declare type PropsPreview = {
    availableSkills?: never;
    onChange?: never;
    placeholder?: never;
    isCaseSensitive?: never;
    input?: never;
    length: number;
} & Props;
declare const Skills: FC<PropsInput | PropsPreview>;
export default Skills;
